Subject: bug#7921: 23.2.91; js-mode font lock problem with comments

From: Deniz Dogan <[email-masked]>
Date: Thu, 27 Jan 2011 18:33:56 +0100

2011/1/27 Stefan Monnier <[email-masked]>:
>>>> path=/";/ # Everything following and including the last / is string face
>>>> path="; # Everything is fine
>>>> path=//"; # Everything is fine
>>>
>>> I've put the above three lines in ~/tmp/foo.js and opened it with
>>> Debian's emacs23 and I don't think I see the problems you describe in
>>> the comments.  OTOH I see other problems of highlighting but they're
>>> largely due to the code itself being meaningless, AFAIK (# is not
>>> a comment marker in javascript, is it?).
>>>
>
>> I'm sorry, I should have been more clear. The # signs are
>> meta-comments, please leave them out when trying to reproduce the
>> problem.
>
> In my tests, the ";\npath=//" is treated as a string.  This sounds right
> to me, but not being a js-programmer, your example makes me doubt.
> IOW, using the latest code in the emacs-23, are there still some issues
> with js-mode's font-locking?
>

Assuming that you mean "; npath=//", it is indeed correctly fontified
as a string.

I notice now that I referred to the three JavaScript examples as
"issues" -- they are not issues.

Only the last two examples are valid JavaScript. The first example,
even though _invalid_ JavaScript, might give us a hint about what the
problem is. That is the only reason why I included it.

-- 
Deniz Dogan